%define upstream_name    WWW-Mechanize-GZip
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Tries to fetch webpages with gzip-compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch: noarch


%description
The the WWW::Mechanize::GZip manpage module tries to fetch a URL by
requesting gzip-compression from the webserver.

If the response contains a header with 'Content-Encoding: gzip', it
decompresses the response in order to get the original (uncompressed)
content.

This module will help to reduce bandwith fetching webpages, if supported by
the webeserver. If the webserver does not support gzip-compression, no
decompression will be made.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/WWW/


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-8.mga6
+ Revision: 1035755
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 930679
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 746700
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-5.mga5
+ Revision: 732618
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686845
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515908
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 37225
- mageia rebuild
- cleaning spec file
- imported package perl-WWW-Mechanize-GZip


* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 541158
- import perl-WWW-Mechanize-GZip


* Fri Apr 30 2010 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
